/****************** <lalVerbatim file="BlockInitSearchCV">
Author: Tibbits, M. M.
$Id: BlockInitSearch.c,v 1.1 2002/01/24 23:08:04 jolien Exp $
********************************* </lalVerbatim> */

#include "BlockInitSearch.h"

NRCSID( BLOCKINITSEARCHC, "$Id: BlockInitSearch.c,v 1.1 2002/01/24 23:08:04 jolien Exp $");

void LALInitSearch
(
	LALStatus		*status,
	void			**searchParams,
	LALInitSearchParams	*initSearchParams
)
{
	BlockSearchParams	*local;

	INITSTATUS( status, "LALInitSearch", BLOCKINITSEARCHC );

	local = LALMalloc(sizeof(BlockSearchParams));
	ASSERT( local, status, BLOCKINITSEARCHH_EALOC, BLOCKINITSEARCHH_MSGEALOC );

	/*  Initialize parameters  */
	local->searchMaster = initSearchParams->nodeClass;
	local->rank         = 0;
	local->numSlaves    = 0;
	local->vec          = 0;
	local->res          = 0;
	local->initialized  = 0;
	local->segmentLength= 0;
	strcpy(local->channel, "");

	ASSERT( initSearchParams, status, BLOCKINITSEARCHH_ENULL, BLOCKINITSEARCHH_MSGENULL);

	ASSERT( searchParams, status, BLOCKINITSEARCHH_ENULL, BLOCKINITSEARCHH_MSGENULL);

	ASSERT( initSearchParams->argv, status, BLOCKINITSEARCHH_ENULL, BLOCKINITSEARCHH_MSGENULL);

	ASSERT( initSearchParams->argc == 2, status, BLOCKINITSEARCHH_EARG, BLOCKINITSEARCHH_MSGEARG );

	ASSERT(!(strcmp( initSearchParams->argv[0], "-filterparams" )), status, BLOCKINITSEARCHH_EARG, BLOCKINITSEARCHH_MSGEARG);

	ASSERT( atoi( initSearchParams->argv[1] ) > 0, status, BLOCKINITSEARCHH_ENUMZ, BLOCKINITSEARCHH_MSGENUMZ);

	local->maxMoment = atoi( initSearchParams->argv[1] );

	*searchParams = local;

	RETURN(status);
}
