/********************************** <lalVerbatim file="TFCFinalizeSearchCV">
Author: Julien Sylvestre
$Id: FinalizeSearch.c,v 1.5 2001/12/04 19:23:04 julien Exp $
**************************************************** </lalVerbatim> */

#include <lal/LALStdlib.h>
#include <lal/TFClusters.h>
#include <FinalizeSearch.h>
#include <InitSearch.h>
#include <lal/AVFactories.h>

NRCSID( FINALIZESEARCHC, "tfclusters $Id: FinalizeSearch.c,v 1.5 2001/12/04 19:23:04 julien Exp $" );

void
LALFinalizeSearch(
    LALStatus             *status,
    void                 **searchParams
    )
{
  
  TFCSearchParams *params;

  INITSTATUS (status, "LALFinalizeSearch", FINALIZESEARCHC);
  ATTATCHSTATUSPTR (status);

  if ( !(*searchParams) ){
    ABORT( status, FINALIZESEARCHH_ENULL, FINALIZESEARCHH_MSGENULL );
  }
  params = (TFCSearchParams *) *searchParams;

  if(params->dir) {
    LALFreeCListDir(status->statusPtr, params->dir);
    CHECKSTATUSPTR (status);
    LALFree(params->dir);
    params->dir = NULL;
  }

  if(params->tseries->data) {
    LALDestroyVector(status->statusPtr, &(params->tseries->data));
    CHECKSTATUSPTR (status);
    params->tseries->data=NULL;
  }

  if(params->tseries) {
    LALFree(params->tseries);
    params->tseries = NULL;
  }

  if(params->tspec) {
    LALFree(params->tspec);
    params->tspec = NULL;
  }

  if(params->dmro) {
    LALFree(params->dmro);
    params->dmro = NULL;
  }

  if(params->resp) {
    LALFree(params->resp);
    params->resp = NULL;
  }

  if(params->spec) {
    LALFree(params->spec);
    params->spec = NULL;
  }

  LALFree(*searchParams);
  *searchParams = NULL;

  DETATCHSTATUSPTR (status);
  RETURN (status);
  
}
